Bug 148988 - problem with installation after recompile
Summary: problem with installation after recompile
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: massRequestForReproduction
Keywords:
: 156258 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-17 19:32 UTC by Tobias Weikard
Modified: 2008-03-11 17:04 UTC (History)
3 users (show)

Fixed In Version: 1.0.6-1.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 17:04:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tobias Weikard 2005-02-17 19:32:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.5)
Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
After correct recompile, the rpm -ivh gives an error:
Preparing...               
########################################### [100%]
   1:thunderbird           
########################################### [100%]
error: unpacking of archive failed on file
/usr/lib/thunderbird-1.0/defaults/pref/all-redhat.js;4214f045: cpio:
MD5 sum mismatch

but verify says: 
rpm -K /tmp/thunderbird-1.0-1.1.EL4.i386.rpm
/tmp/thunderbird-1.0-1.1.EL4.i386.rpm: sha1 md5 OK

Version-Release number of selected component (if applicable):
thunderbird-1.0-1.1.EL4

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild .src.rpm
2. rpm -ivh new package
3.
    

Actual Results:  can't install the package

Expected Results:  correct install of rpm

Additional info:

Comment 1 Nigel Jewell 2005-02-28 08:55:22 UTC
There is a missing | in the spec file.

Change the line that reads:

%{__sed} -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > rh-default-prefs

to:

| %{__sed} -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > rh-default-prefs

Thanks to Troy Engel for the solution to this one.

Comment 2 Tobias Weikard 2005-03-05 19:37:05 UTC
Hello,
thank you - everything works fine now ;-)


Tobias

Comment 3 Johnny Hughes 2005-03-24 01:54:50 UTC
this very simple problem is still present in version thunderbird-1.0.2-1.4.1.

How is it that you guys are compiling this ... please add the pipe to line 147
of the spec file

Comment 4 Christopher Aillon 2005-03-31 10:34:38 UTC
The lines should read as follows, which is how i have it here:

%{__cat} %{SOURCE10} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g'\
                                -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > \

I'll try and recommit it which will hopefully take effect the next time a build
gets pushed.

Comment 5 Christopher Aillon 2005-05-04 18:19:27 UTC
*** Bug 156258 has been marked as a duplicate of this bug. ***

Comment 6 Matěj Cepl 2008-02-08 20:42:04 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]


Note You need to log in before you can comment on or make changes to this bug.